Bug 472207 - Smart crashes with "unbreakable loops" when trying to update glibc
Smart crashes with "unbreakable loops" when trying to update glibc
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: smart (Show other bugs)
10
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-19 07:16 EST by sjbertram
Modified: 2009-07-31 13:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-24 07:58:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sjbertram 2008-11-19 07:16:19 EST
Description of problem: When using the Smart package manager to update an F10 preview system then it will crash on at least some cyclic dependencies. 


Version-Release number of selected component (if applicable): Smart 1.1


How reproducible: Try to upgrade glibc, glibc-common, glibc-devel and glibc-headers from 2.8.90 to 2.9 on an x86_64 machine with Fedora 10 preview and all other updates installed.


Steps to Reproduce:
1. Start Smart, refresh repos and try to update glibc to 2.9
2. Run the update
3. Press "okay" when presented with a dialog saying:

Found unbreakable loops:
    glibc-2.9-2@x86_64 [I] -> glibc-common-2.9-2@x86_64 [I] -> glibc-2.9-2@x86_64 [I]
Will ask RPM to order it. 
  

Actual results: Smart crashes with the following output when run from the console:

$ smart-root --gui
Unhandled exception in thread started by 
Error in sys.excepthook:

Original exception was:
$ 

(no "thread started by", no error message and no original exception, just straight back to shell)



Expected results: Smart does what it says and having found the loop it hands it on to the rpm command to resolve.


Additional info: I'm not sure if this is a Smart problem, a 64-bit problem (this is the first time I've used the 64-bit build of an OS) or an rpm packaging problem. Yum handles everything fine and has successfully performed a previous upgrade that had matching behaviour.
Comment 1 Bug Zapper 2008-11-26 00:36:05 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 sjbertram 2008-11-28 04:01:59 EST
I've now updated the repos and am updating against the final F10. I have just found another situation that causes it:


Steps to Reproduce:
1. Start Smart, refresh repos and search for "m17n"
2. Select any m17n package for removal
3. Run the remove
4. Press "okay" when presented with a dialog saying something like:

Found unbreakable loops:
    m17n-contrib-bengali-1.1.8-1.fc10@noarch [R] -> m17n-db-bengali-1.5.3-1.fc10@noarch [R] -> m17n-contrib-bengali-1.1.8-1.fc10@noarch [R]
Will ask RPM to order it.


Actual results: Smart crashes with the following output when run from the
console:

$ smart-root --gui
Unhandled exception in thread started by 
Error in sys.excepthook:

Original exception was:
$ 

(no "thread started by", no error message and no original exception, just
straight back to shell)



Expected results: Smart does what it says and having found the loop it hands it
on to the rpm command to resolve.


I'm still not sure if this is an F10 or a Smart problem. I've never encountered a similar message in F6, F8 or F9 with Smart, but I don't know what could have changed in the F10 packaging to break this.
Comment 3 John Pilkington 2008-12-16 05:35:36 EST
I ran into this with the mythtv and k3b packages on FC10 x86_64. Smart exited after its report.

Installation of mythtv completed after using 'yum install perl-XML-LibXML', and 'yum install k3b' also worked.  'Check installed packages' in smart saw no problems afterwards.

Posts made on kde-fedora, smart and atrpms-users lists
Comment 4 Fedora Update System 2008-12-21 16:34:47 EST
smart-1.1-58.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/smart-1.1-58.fc9
Comment 5 Fedora Update System 2008-12-21 16:34:50 EST
smart-1.1-58.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/smart-1.1-58.fc8
Comment 6 Fedora Update System 2008-12-21 16:34:55 EST
smart-1.1-58.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/smart-1.1-58.fc10
Comment 7 Fedora Update System 2008-12-24 07:58:28 EST
smart-1.1-58.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-12-24 13:38:09 EST
smart-1.1-58.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-12-24 13:43:08 EST
smart-1.1-58.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-12-24 13:44:10 EST
smart-1.1-58.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-12-27 08:54:59 EST
smart-1.1-58.0.1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/smart-1.1-58.0.1.fc10
Comment 12 Fedora Update System 2008-12-30 18:55:49 EST
smart-1.1-58.0.1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.